Lorene::HiggsMonopole Class Reference
Stationary compact objects (<em><strong>under development</strong></em>)

Higgs monopole (under development). More...

`#include <compobj.h>`

Inheritance diagram for Lorene::HiggsMonopole:

## Public Member Functions

| HiggsMonopole (Map &mp_i, const char *file_name)
| Standard constructor.
| HiggsMonopole (const HiggsMonopole &)
| Copy constructor.
virtual | ~HiggsMonopole ()
| Destructor.
const Scalar & | get_higgs () const
| Deletes all the derived quantities.
const Scalar & | get_grr () const
| Returns the metric coefficient g_rr.
const Scalar & | get_press () const
| Returns the fluid pressure.
Map & | set_mp ()
| Read/write of the mapping.
const Map & | get_mp () const
| Returns the mapping.
const Scalar & | get_nn () const
| Returns the lapse function N .
const Vector & | get_beta () const
| Returns the shift vector .
const Metric & | get_gamma () const
| Returns the 3-metric .
const Scalar & | get_ener_euler () const
| Returns the total energy density E in the Eulerian frame.
const Vector & | get_mom_euler () const
| Returns the total 3-momentum density in the Eulerian frame.
const Sym_tensor & | get_stress_euler () const
| Returns the stress tensor with respect to the Eulerian observer.
const Sym_tensor & | get_kk () const
| Returns the extrinsic curvature tensor .
virtual void | sauve (FILE *) const
| Save in a file.
void | gyoto_data (const char *file_name) const
| Save in a file for GYOTO.
virtual void | extrinsic_curvature ()
| Computation of the extrinsic curvature.
virtual double | adm_mass () const
| ADM mass (computed as a surface integral at spatial infinity).

## Protected Member Functions

virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).
virtual void | del_deriv () const
| Deletes all the derived quantities.
void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.

## Protected Attributes

char | description1 [256]
| String describing the model.
char | description2 [256]
| String describing the model.
Scalar | hh
| Higgs scalar field.
Scalar | grr
| Metric coefficient g_rr.
Scalar | press
| Fluid pressure.
Map & | mp
| Mapping describing the coordinate system (r,theta,phi).
Scalar | nn
| Lapse function N .
Vector | beta
| Shift vector .
Metric | gamma
| 3-metric
Scalar | ener_euler
| Total energy density E in the Eulerian frame.
Vector | mom_euler
| Total 3-momentum density in the Eulerian frame.
Sym_tensor | stress_euler
| Stress tensor with respect to the Eulerian observer.
Sym_tensor | kk
| Extrinsic curvature tensor .
double * | p_adm_mass
| ADM mass.

## Detailed Description

Higgs monopole (under development).

()

Definition at line 1116 of file compobj.h.

## Constructor & Destructor Documentation

## HiggsMonopole() [1/2]

Lorene::HiggsMonopole::HiggsMonopole | ( | Map & | mp_i,
|  | const char * | file_name )

Standard constructor.

Parameters

  mp_i | Mapping on which the Higgs monopole is contructed
  file_name | Name of the file containing the data

Definition at line 62 of file higgs_monopole.C.

References Lorene::Compobj::Compobj(), description1, description2, Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), grr, hh, Lorene::Map(), Lorene::Compobj::mp, Lorene::Compobj::nn, and press.

## HiggsMonopole() [2/2]

Lorene::HiggsMonopole::HiggsMonopole | ( | const HiggsMonopole & | other | ) |

Copy constructor.

Definition at line 158 of file higgs_monopole.C.

References Lorene::Compobj::Compobj(), grr, hh, HiggsMonopole(), and press.

## ~HiggsMonopole()

Lorene::HiggsMonopole::~HiggsMonopole | ( |  | ) |

virtual

Destructor.

Definition at line 172 of file higgs_monopole.C.

## Member Function Documentation

## adm_mass()

double Lorene::Compobj::adm_mass | ( |  | ) | const

virtual inherited

ADM mass (computed as a surface integral at spatial infinity).

Definition at line 310 of file compobj.C.

References Lorene::Tensor::derive_con(), Lorene::Tensor_sym::derive_con(), Lorene::Vector::flux(), gamma, Lorene::Tensor::get_triad(), mp, p_adm_mass, Lorene::Tensor::trace(), and Lorene::Tensor::up().

## del_deriv()

void Lorene::Compobj::del_deriv | ( |  | ) | const

protected virtual inherited

Deletes all the derived quantities.

Reimplemented in Lorene::AltBH_QI, Lorene::Boson_star, Lorene::Compobj_QI, Lorene::Kerr_QI, Lorene::ScalarBH, and Lorene::Star_QI.

Definition at line 155 of file compobj.C.

References p_adm_mass, and set_der_0x0().

## extrinsic_curvature()

void Lorene::Compobj::extrinsic_curvature | ( |  | ) |

virtual inherited

Computation of the extrinsic curvature.

Reimplemented in Lorene::AltBH_QI, and Lorene::Compobj_QI.

Definition at line 290 of file compobj.C.

References beta, Lorene::Tensor::derive_cov(), gamma, kk, and nn.

## get_beta()

const Vector & Lorene::Compobj::get_beta | ( |  | ) | const

inline inherited

Returns the shift vector .

Definition at line 213 of file compobj.h.

References beta.

## get_ener_euler()

const Scalar & Lorene::Compobj::get_ener_euler | ( |  | ) | const

inline inherited

Returns the total energy density E in the Eulerian frame.

Definition at line 219 of file compobj.h.

References ener_euler.

## get_gamma()

const Metric & Lorene::Compobj::get_gamma | ( |  | ) | const

inline inherited

Returns the 3-metric .

Definition at line 216 of file compobj.h.

References gamma.

## get_grr()

const Scalar & Lorene::HiggsMonopole::get_grr | ( |  | ) | const

inline

Returns the metric coefficient g_rr.

Definition at line 1174 of file compobj.h.

References grr.

## get_higgs()

const Scalar & Lorene::HiggsMonopole::get_higgs | ( |  | ) | const

inline

Deletes all the derived quantities.

Sets to `0x0` all the pointers on derived quantities Assignment to another `AltBH_QI` Returns Higgs field

Definition at line 1171 of file compobj.h.

References hh.

## get_kk()

const Sym_tensor & Lorene::Compobj::get_kk | ( |  | ) | const

inline inherited

Returns the extrinsic curvature tensor .

Definition at line 228 of file compobj.h.

References kk.

## get_mom_euler()

const Vector & Lorene::Compobj::get_mom_euler | ( |  | ) | const

inline inherited

Returns the total 3-momentum density in the Eulerian frame.

Definition at line 222 of file compobj.h.

References mom_euler.

## get_mp()

const Map & Lorene::Compobj::get_mp | ( |  | ) | const

inline inherited

Returns the mapping.

Definition at line 207 of file compobj.h.

References Lorene::Map(), and mp.

## get_nn()

const Scalar & Lorene::Compobj::get_nn | ( |  | ) | const

inline inherited

Returns the lapse function N .

Definition at line 210 of file compobj.h.

References nn.

## get_press()

const Scalar & Lorene::HiggsMonopole::get_press | ( |  | ) | const

inline

Returns the fluid pressure.

Definition at line 1177 of file compobj.h.

References press.

## get_stress_euler()

const Sym_tensor & Lorene::Compobj::get_stress_euler | ( |  | ) | const

inline inherited

Returns the stress tensor with respect to the Eulerian observer.

Definition at line 225 of file compobj.h.

References stress_euler.

## gyoto_data()

void Lorene::Compobj::gyoto_data | ( | const char * | file_name | ) | const

inherited

Save in a file for GYOTO.

Definition at line 210 of file compobj.C.

References beta, Lorene::fwrite_be(), gamma, kk, mp, and nn.

## operator>>()

ostream & Lorene::HiggsMonopole::operator>> | ( | ostream & | ost | ) | const

protected virtual

Operator >> (virtual function called by the operator <<).

Reimplemented from Lorene::Compobj.

Definition at line 181 of file higgs_monopole.C.

References description1, description2, and Lorene::Compobj::operator>>().

## sauve()

void Lorene::Compobj::sauve | ( | FILE * | fich | ) | const

virtual inherited

Save in a file.

Reimplemented in Lorene::AltBH_QI, Lorene::Boson_star, Lorene::Compobj_QI, Lorene::Kerr_QI, Lorene::ScalarBH, and Lorene::Star_QI.

Definition at line 196 of file compobj.C.

References beta, ener_euler, gamma, mom_euler, nn, and stress_euler.

## set_der_0x0()

void Lorene::Compobj::set_der_0x0 | ( |  | ) | const

protected inherited

Sets to `0x0` all the pointers on derived quantities.

Definition at line 163 of file compobj.C.

References p_adm_mass.

## set_mp()

Map & Lorene::Compobj::set_mp | ( |  | ) |

inline inherited

Read/write of the mapping.

Definition at line 200 of file compobj.h.

References Lorene::Map(), and mp.

## Member Data Documentation

## beta

Vector Lorene::Compobj::beta

protected inherited

Shift vector .

Definition at line 138 of file compobj.h.

## description1

char Lorene::HiggsMonopole::description1[256]

protected

String describing the model.

Definition at line 1122 of file compobj.h.

## description2

char Lorene::HiggsMonopole::description2[256]

protected

String describing the model.

Definition at line 1123 of file compobj.h.

## ener_euler

Scalar Lorene::Compobj::ener_euler

protected inherited

Total energy density E in the Eulerian frame.

Definition at line 144 of file compobj.h.

## gamma

Metric Lorene::Compobj::gamma

protected inherited

3-metric

Definition at line 141 of file compobj.h.

## grr

Scalar Lorene::HiggsMonopole::grr

protected

Metric coefficient g_rr.

Definition at line 1127 of file compobj.h.

## hh

Scalar Lorene::HiggsMonopole::hh

protected

Higgs scalar field.

Definition at line 1125 of file compobj.h.

## kk

Sym_tensor Lorene::Compobj::kk

protected inherited

Extrinsic curvature tensor .

Definition at line 153 of file compobj.h.

## mom_euler

Vector Lorene::Compobj::mom_euler

protected inherited

Total 3-momentum density in the Eulerian frame.

Definition at line 147 of file compobj.h.

## mp

Map& Lorene::Compobj::mp

protected inherited

Mapping describing the coordinate system (r,theta,phi).

Definition at line 132 of file compobj.h.

## nn

Scalar Lorene::Compobj::nn

protected inherited

Lapse function N .

Definition at line 135 of file compobj.h.

## p_adm_mass

double* Lorene::Compobj::p_adm_mass

mutable protected inherited

ADM mass.

Definition at line 158 of file compobj.h.

## press

Scalar Lorene::HiggsMonopole::press

protected

Fluid pressure.

Definition at line 1129 of file compobj.h.

## stress_euler

Sym_tensor Lorene::Compobj::stress_euler

protected inherited

Stress tensor with respect to the Eulerian observer.

Definition at line 150 of file compobj.h.

The documentation for this class was generated from the following files:

- compobj.h
- higgs_monopole.C